# The Caddyfile is an easy way to configure your Caddy web server.
# basicauth cnphpbb kevin#0412  base64(caddy hash-password --plaintext kevin#0412) $2a$14$eetnnPPil23dVAGUYHzlcOqjq5LrkbPrpjaYRZkdr4QTFkH6hG3Sy
{
    order webdav before file_server
}

https://dav.48474.site {
    tls  48474@qq.com
    root * /webdav
    encode zstd gzip
    basicauth {
        cnphpbb JDJhJDE0JGVldG5uUFBpbDIzZFZBR1VZSHpsY09xanE1THJrYlBycGphWVJaa2RyNFFURmtINmhHM1N5
    }
    route {
        rewrite /dav /dav/
        webdav /dav/* {
            prefix /dav
        }
        file_server browse
    }
}